2 thoughts

  1. Geees, they go to great lengths to scare potential users off with the legal clap trap they’ve put on the download page. Was enough to scare me off and I actually know what Air is!!!
    I also wasn’t aware that Air requires Flash Player 9.0.115.0 or higher – kinda just assumed the Air installer came packaged with it. So every person that installs Air also means another Flash Player 9+ user – brilliant stuff!

Leave a Reply to Jason Langdon Cancel reply